Package ru.bitel.bgbilling.kernel.base.phone.common.bean

# Class AbstractGeographicCode<N extends AbstractGeographicCode<N>>

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.base.phone.common.bean.AbstractGeographicCode<N>

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `TreeNode<N>`

Direct Known Subclasses:
  `CostMapItem`

public class AbstractGeographicCode<N extends AbstractGeographicCode<N>> extends IdTitle implements TreeNode<N>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<N>`
  `children`
  `protected String`
  `code`
  `protected String`
  `prefix`
  `protected String[]`
  `range`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractGeographicCode()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addChild(N child)`
  `N`
  `findCode(String code)`
  `Iterable<N>`
  `findCodeIterator(String code)`
  `N[]`
  `findCodePath(String code)`
  `List<N>`
  `getChildren()`
  `String`
  `getCode()`
  `String`
  `getComment()`
  `String`
  `getDestination()`
  `int`
  `getDestinationId()`
  `String`
  `getPrefix()`
  `String[]`
  `getRange()`
  `protected static boolean`
  `matches(String code, AbstractGeographicCode<?> child)`
  `void`
  `setChildren(List<N> children)`
  `void`
  `setCode(String code)`
  `void`
  `setComment(String comment)`
  `void`
  `setDestination(String destination)`
  `void`
  `setDestinationId(int destinationId)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### code

    protected String code

  - ### prefix

    protected String prefix

  - ### range

    protected String[] range

  - ### children

    protected List<N extends AbstractGeographicCode<N>> children

- ## Constructor Details

  - ### AbstractGeographicCode

    public AbstractGeographicCode()

- ## Method Details

  - ### getCode

    public String getCode()

  - ### getPrefix

    public String getPrefix()

  - ### getRange

    public String[] getRange()

  - ### setCode

    public void setCode(String code)

  - ### getChildren

    public List<N> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<N extends AbstractGeographicCode<N>>`

  - ### setChildren

    public void setChildren(List<N> children)

  - ### getDestinationId

    public int getDestinationId()

  - ### setDestinationId

    public void setDestinationId(int destinationId)

  - ### getDestination

    public String getDestination()

  - ### setDestination

    public void setDestination(String destination)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### addChild

    public void addChild(N child)

  - ### findCode

    public N findCode(String code)

  - ### findCodeIterator

    public Iterable<N> findCodeIterator(String code)

  - ### findCodePath

    public N[] findCodePath(String code)

  - ### matches

    protected static boolean matches(String code, AbstractGeographicCode<?> child)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`